9f65cc
From 4a0aa64ecdcaf47e17e27c59e6ea4efc19359c00 Mon Sep 17 00:00:00 2001
9f65cc
From: Lukas Nykryn <lnykryn@redhat.com>
9f65cc
Date: Fri, 23 Jul 2021 16:24:51 +0200
9f65cc
Subject: [PATCH] fix: revise squash module checks
9f65cc
9f65cc
Based on 16efdfa25c65c31acc97d91b7baf4f7bb4ea8510
9f65cc
---
9f65cc
 modules.d/99squash/module-setup.sh | 12 ++----------
9f65cc
 1 file changed, 2 insertions(+), 10 deletions(-)
9f65cc
9f65cc
diff --git a/modules.d/99squash/module-setup.sh b/modules.d/99squash/module-setup.sh
9f65cc
index 0acf7c3a..dd4f3ecf 100644
9f65cc
--- a/modules.d/99squash/module-setup.sh
9f65cc
+++ b/modules.d/99squash/module-setup.sh
9f65cc
@@ -1,19 +1,11 @@
9f65cc
 #!/bin/bash
9f65cc
 
9f65cc
 check() {
9f65cc
-    if ! dracut_module_included "systemd-initrd"; then
9f65cc
-        derror "dracut-squash only supports systemd bases initramfs"
9f65cc
-        return 1
9f65cc
-    fi
9f65cc
-
9f65cc
-    if ! find_binary mksquashfs >/dev/null || ! find_binary unsquashfs >/dev/null ; then
9f65cc
-        derror "dracut-squash module requires squashfs-tools"
9f65cc
-        return 1
9f65cc
-    fi
9f65cc
+    require_binaries mksquashfs unsquashfs || return 1
9f65cc
 
9f65cc
     for i in CONFIG_SQUASHFS CONFIG_BLK_DEV_LOOP CONFIG_OVERLAY_FS ; do
9f65cc
         if ! check_kernel_config $i; then
9f65cc
-            derror "dracut-squash module requires kernel configuration $i (y or m)"
9f65cc
+            dinfo "dracut-squash module requires kernel configuration $i (y or m)"
9f65cc
             return 1
9f65cc
         fi
9f65cc
     done
9f65cc